<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Pay Slip</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Pay Slip
    <small></small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Reports</li>
    <li class="active"> Pay Slip</li>
  </ol>
</section>

<section layout:fragment="main" class="content">

  <div class="row">
    <div class="col-md-3">
      <div class="box box-solid">
        <div class="box-header with-border">
          <h3 class="box-title">Payroll Reports</h3>

          <div class="box-tools">
            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
            </button>
          </div>
        </div>
        <div class="box-body no-padding">
          <ul class="nav nav-pills nav-stacked">
            <li>
              <a th:href="@{/payroll/reports/payslip}"><i class="fa fa-inbox"></i> Pay Slip</a>
            </li>
            <li>
              <a th:href="@{/payroll/reports/detail}"><i class="fa fa-inbox"></i> Payroll Detail</a>
            </li>
          </ul>
        </div>
        <!-- /.box-body -->
      </div>
    </div>
    <div class="col-md-9">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Save Data Success!</h4>

        <p th:text="${success}">Data Berhasil Disimpan.</p>
      </div>

      <div class="callout callout-success" th:if="${deleted != null}">
        <h4>Delete Data Success!</h4>

        <p>Data Berhasil Dihapus.</p>
      </div>

      <div class="callout callout-danger" th:if="${gagal != null}">
        <h4>Save Data Unsuccesfully!</h4>

        <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
      </div>


                  <div class="box box-info">
                    <div class="box-header with-border">
                      <h3>Pay Slip</h3>

                        <div class="row">
                          <form th:action="@{/payroll/reports/payslip}" method="get" enctype="multipart/form-data">
                          <div class="col-md-6">

                            <div class="form-group">
                              <label for="companies" class="col-sm-2 control-label">Companies</label>

                              <div class="col-sm-10">
                                <select class="form-control select2" name="companies" id="companies" style="width: 100%;">
                                  <option th:each="datass : ${listCompanies}"
                                          th:selected="(${datass} == *{companiesSelected})"
                                          th:text="${datass.companyName}"
                                          th:value="${datass.id}">sdasd</option>
                                </select>
                              </div>
                            </div>

                            <div class="form-group">
                              <label for="bulan" class="col-sm-2 control-label">Month</label>

                              <div class="col-sm-10">
                                <select class="form-control select2" name="bulan" id="bulan" style="width: 100%;">
                                  <option th:each="datas : ${listBulan}"
                                          th:selected="(${datas} == *{bulanSelected})"
                                          th:text="${datas.nama}"
                                          th:value="${datas.nomor}">sdasd</option>
                                </select>
                              </div>
                            </div>

                            <div class="form-group">
                              <label for="tahun" class="col-sm-2 control-label">Year</label>

                              <div class="col-sm-10">
                                <select class="form-control select2" name="tahun" id="tahun" style="width: 100%;">
                                  <option th:each="datass : ${listTahun}"
                                          th:selected="(${datass} == *{tahunSelected})"
                                          th:text="${datass.tahun}"
                                          th:value="${datass.tahun}">sdasd</option>
                                </select>
                              </div>
                            </div>
                          </div>
                          <div class="col-md-6">
                            <button type="submit" class="btn btn-info pull-left" id="run">Proces</button>
                          </div>
                          </form>
                          <br>
                          <form th:action="@{/payroll/reports/payslip/allowed}" method="post" enctype="multipart/form-data">
                            <input type="hidden" name="companies" th:if="${companiesSelected != null}" th:value="${companiesSelected.getId()}">
                            <input type="hidden" name="bulan" th:if="${bulanSelected != null}" th:value="${bulanSelected.getNomor()}">
                            <input type="hidden" name="tahun" th:if="${tahunSelected != null}" th:value="${tahunSelected.getTahun()}">
                            <input type="submit" class="btn btn-default" th:if="${companiesSelected != null && bulanSelected != null && tahunSelected != null}" value="Allow PaySlip">
                          </form>
                        </div>
                    </div>
                    <div class="box-body table-responsive">

                      <table id="example1" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                          <th>No</th>
                          <th>Employee ID</th>
                          <th>Full Name</th>
                          <th>Take Home Pay</th>
                          <th>Option</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataPaySlip,row : ${listPayslip}">
                          <td th:text="${row.index + 1}">Trident</td>
                          <td th:text="${dataPaySlip[1]}">Internet</td>
                          <td th:text="${dataPaySlip[2]}">Win 95+</td>
                          <td th:text="${#numbers.formatDecimal(dataPaySlip[5], 0, 'POINT', 2, 'COMMA')}"> </td>
                          <td>
                            <a th:href="@{/payroll/reports/payslip/view(bulan = ${dataPaySlip[3]}, tahun = ${dataPaySlip[4]}, employes = ${dataPaySlip[0]})}" class="btn btn-xs btn-primary">View</a>
                          </td>
                        </tr>
                        </tbody>
                        <tfoot>
                        <tr>
                          <th>No</th>
                          <th>Employee ID</th>
                          <th>Full Name</th>
                          <th>Take Home Pay</th>
                          <th>Option</th>
                        </tr>
                        </tfoot>
                      </table>


                    </div>
                    <div class="box-footer">
                      <a th:href="@{/payroll}" class="btn btn-default">Cancel</a>
                      <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
                    </div>
                  </div>
                </div>

      </div>
      <!-- nav-tabs-custom -->
    </div>
  </div>
</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#tanggalLahir').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>

  <script>
    $(function () {
      $('#example1').DataTable()
      $('#example2').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : false,
        'ordering'    : true,
        'info'        : true,
        'autoWidth'   : false
      })
    })

    $(function() {

      var bla = $('#effectiveDateString').val();
      $('#effectiveDateString').val(bla);

    });

    (function($){
      $('#payrollComponent').select2();
      $('#payrollComponent').on('select2:selecting', function(e) {
        console.log('Selecting: ' , e.params.args.data.id);
        $('#isiPayrollComponent').val(e.params.args.data.id);
      });
    })(jQuery);

    function dtable() {

      // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
      window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


    }
  </script>
</section>
</body>
</html>
</body>
</html>